/*--------------------------------------------------------------------------
 * File : glob.h
 *
 * $Id: glob.h 1.1 1997/11/23 23:07:56 mring Exp $
 *------------------------------------------------------------------------*/

#ifndef _GLOB_H_DEFINED
#define _GLOB_H_DEFINED

/*
 *      Extern Global Variables for FPLOT
 */

extern
char    (*g_buf)[256],
        *g_input_string,
        *g_label1,
        *g_label2,
        *g_label3,
        *g_label4,
        *g_label5,
        *g_label6,
        *g_label7,
        *g_label8,
        *g_xlabel,
        *g_y1label,
        *g_y2label,
        *g_title,
        *g_plot_file,
        *g_output_file,
        *g_tmp_file;

extern
int     g_raw_mode,
        g_usesamples,
        g_xrange_auto,
        g_y1range_auto,
        g_y2range_auto,
        g_gridlines,
        g_xaxis_scale,
        g_outputformat,
        g_x_divisions,
        g_y1_divisions,
        g_y2_divisions,
        g_field_def_x,
        g_field_def_y1,
        g_field_def_y2,
        g_graph_type;

extern
long    g_skip_factor,
        g_usesamples_low,
        g_usesamples_high;

extern
double  g_graph_x_min,
        g_graph_x_max,
        g_graph_y1_min,
        g_graph_y1_max,
        g_graph_y2_min,
        g_graph_y2_max,
        g_true_x_min,
        g_true_x_max,
        g_papersize_length,
        g_papersize_width,
        g_label1_x,
        g_label1_y,
        g_label2_x,
        g_label2_y,
        g_label3_x,
        g_label3_y,
        g_label4_x,
        g_label4_y,
        g_label5_x,
        g_label5_y,
        g_label6_x,
        g_label6_y,
        g_label7_x,
        g_label7_y,
        g_label8_x,
        g_label8_y,

        g_xrange_low,
        g_xrange_high,
        g_y1range_low,
        g_y1range_high,
        g_y2range_low,
        g_y2range_high,

        g_xmultiplier,
        g_y1multiplier,
        g_y2multiplier,

        g_xoffset,
        g_y1offset,
        g_y2offset;

extern
FILE	*g_tmp_ptr;

#endif  /* _GLOB_H_DEFINED */
/*------------------------------------------------------------------------*/
